IF EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID('[dbo].[genallproc]') AND type = 'P')
DROP PROCEDURE [dbo].[genallproc]
GO
CREATE procedure [dbo].[genallproc]
as
begin
declare @sql varchar(max)
set @sql=''
select @sql+='exec  mps_gen_biz_base_proc '+convert(varchar(100),biz_cmpid)+','+convert(varchar(100),biz_id)+CHAR(13)
from mps_biztype 

select @sql+=
'exec  sys_gen_joblink_updatedata_all '+convert(varchar(100),biz_cmpid)+','+convert(varchar(100),biz_id)+CHAR(13)
from mps_biztype 

select @sql+=
'exec  sys_gen_newbizbysrc '+convert(varchar(100),biz_cmpid)+','+convert(varchar(100),biz_id)+CHAR(13)
from mps_biztype 

exec myprint @sql
--exec(@sql);

end